# coding=cp1251
'''
Created on 18.10.2012

@author: Scondo

Ре-имплементация служебных процедур и функций прикладных подсистем ТБ 6.9
'''
from core import TBMask2PyRegExp
import re
from string import replace

aliases = {u"раб.бюджет2005.matchmask": "MatchMulti",
           u"раб.формат.replacesubstr": "replace"
           }

def MatchMulti(Src,Mask):
    Masks=Mask.split("|")
    remask=''
    for mask_ in Masks :
        remask=remask+"("+TBMask2PyRegExp(mask_)+")|"
    remask=remask[:-1]
    return re.match(remask,Src)
